#ifndef _TRNAMES2_H
#define _TRNAMES2_H

#define	CONFIG_TAG_PURE
#define	CONFIG_TAG_IP
#define	CONFIG_TAG_NET
// #define	CONFIG_TAG_UID
// #define	CONFIG_TAG_GID
// #define	CONFIG_TAG_GROUP
#define	CONFIG_TAG_HOST
#define	CONFIG_TAG_CLIENT

#define	CNFS_TAG_PURE		0x0001
#define	CNFS_TAG_CLIENT	0x0002
#define	CNFS_TAG_NET		0x0004
#define  CNFS_TAG_HOSTW		0x0008
#define	CNFS_TAG_IP			0x0010
#define	CNFS_TAG_HOST		0x0020
#define	CNFS_TAG_GROUP		0x0040
#define	CNFS_TAG_GID		0x0080
#define	CNFS_TAG_UID		0x0080
#define	CNFS_TAG_CREATE	0x8000

#undef _u32
typedef unsigned long int _u32;

struct filelist
{
	struct filelist	
			*next;
	char	fnbase[NAME_MAX],	/* POSIX defined constant. */
			fntag[NAME_MAX];
	_u32	ipaddr, 
			netmask;
	uid_t	uid;
	gid_t	gid;
	char	*group,
			*create,
			*host;
	_u32	tags,
			match;
};

struct filelist **tr2_getfarray(const char *dirname, const char *filename, struct svc_req *rqstp);
void tr2_freefarray(struct filelist **flist);
int tr2_xlate4create(const char *dirname, char *filename, struct svc_req *rqstp);
char *tr2_reducename(char *filename, struct svc_req *rqstp);

#endif
